Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.repository.cvsimpl
Class ExtConnection

    java.lang.Object
      AbstractConnection
          com.atlassian.bamboo.repository.cvsimpl.ExtConnection

    public class ExtConnection

extends AbstractConnection

Sadly JavaCVS does not come with support for :ext server connections. I got this one off the developer list.

Field Summary
`static int` | `DEFAULT_PORT`

Constructor Summary
`ExtConnection(CVSRoot cvsroot)`

Method Summary
`void` | `close()`
`int` | `getPort()`
`boolean` | `isOpen()`
`void` | `modifyInputStream(ConnectionModifier connectionmodifier)`
`void` | `modifyOutputStream(ConnectionModifier connectionmodifier)`
`void` | `open()`
`void` | `verify()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_PORT

    public static final int DEFAULT_PORT

See Also:
  Constant Field Values

Constructor Detail

### ExtConnection

    public ExtConnection(CVSRoot cvsroot)

Method Detail

### open

    public void open()
              throws AuthenticationException,
                     CommandAbortedException

  Throws:
    `AuthenticationException`
    `CommandAbortedException`

### verify

    public void verify()
                throws AuthenticationException

  Throws:
    `AuthenticationException`

### close

    public void close()
               throws IOException

  Throws:
    `IOException`

### isOpen

    public boolean isOpen()

### modifyInputStream

    public void modifyInputStream(ConnectionModifier connectionmodifier)
                           throws IOException

  Throws:
    `IOException`

### modifyOutputStream

    public void modifyOutputStream(ConnectionModifier connectionmodifier)
                            throws IOException

  Throws:
    `IOException`

### getPort

    public int getPort()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.